### Function

# AppStream RelationCompare from_string

since: 0.12.0

#### Declaration [src]

    AsRelationCompare
    as_relation_compare_from_string (
      const gchar* compare_str
    )

#### Description [src]

Converts the text representation to an enumerated value.

Available since: 0.12.0

#### Parameters

`compare_str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsRelationCompare`

A `AsRelationCompare`, or `AS_RELATION_COMPARE_UNKNOWN` for unknown.